
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS定位服务与地图开发(1)---获取经纬度 / 憋错料</title>

    <meta name="description" content="iOS定位服务与地图开发(1)---获取经纬度 定位服务是通过GPS等方式查找定位自己的位置的,再通过地图标注出来. 在iOS中定位服务和地图开发是使用两套API分别完成的. 1.定位服务: iOS系统提供3种不同定位途径: 1&gt;WiFi定位:通过查询一个WiFi路由器的地理位置信息,iPhone.iPod Touch.iPad都可以采用. 2&gt;蜂窝式移动电话基站定位:通过移动运营商基站定位 3&gt;GPS卫星定位:通过3~4颗GPS卫星位置定位,最为准确,但是耗电量大 iOS不像Android系统在定位服务编程时可以指定采用哪 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">iOS定位服务与地图开发(1)---获取经纬度</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><P>定位服务是通过GPS等方式查找定位自己的位置的，再通过地图标注出来。</p>
<p>在iOS中定位服务和地图开发是使用两套API分别完成的。</p>
<p>1、定位服务：</p>
<p>iOS系统提供3种不同定位途径：</p>
<p>1&gt;WiFi定位：通过查询一个WiFi路由器的地理位置信息，iPhone、iPod Touch、iPad都可以采用。</p>
<p>2&gt;蜂窝式移动电话基站定位：通过移动运营商基站定位</p>
<p>3&gt;GPS卫星定位：通过3~4颗GPS卫星位置定位，最为准确，但是耗电量大</p>
<p>iOS不像Android系统在定位服务编程时可以指定采用哪种途径进行定位。iOS的API把底层这些细节屏蔽掉了，开发人员和用户并不知道现在设备采用哪种方式进行定位，iOS系统会根据设备的情况和周围环境，采用一套最佳的解决方案。具体是：如果能够GPS信息，那么设备优先采用GPS定位，否则采用WiFi或蜂窝基站定位，在WiFi和蜂窝基站之间优先使用WiFi，如果无法连接到WiFi才使用蜂窝基站定位。</p>
<p>1.1、定位服务编程</p>
<p>在iOS<br />
6之后，定位服务主要使用CoreLocaation框架，定位时主要使用CLLocationManager、CLLocationManagerDelegate和CCLocation。</p>
<p>CLLocationManager类：定位服务管理类，它能够使我们获得设备的位置信息和高度信息，也可以监控设备进入某个区域，还可以帮助我们获得设备的运行方向。</p>
<p>CLLocationManagerDelegate类：是CLLocationManager类的委托协议。</p>
<p>CLLocation类：封装了位置和高度信息。</p>
<p>下面具体操作：</p>
<p>第一步，新建一个singleView的空白工程</p>
<p>第二步：向工程中引入framework：CoreLocation.framework</p>
<p>在主界面的控制器&nbsp;ViewController.h&nbsp;文件中，我们啥也不做，.m文件中，我们需声明一个&nbsp;CLLocationManager*<br />
locationManager的属性，我们让其实现CLLocationManagerDelegate的协议，并实现代理方法didUpdateLocations和didFailWithError，如下：////<br />
ViewController.m</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"><br /><PRE>//  CLLocationManager<br />
//<br />
//  Created by apple on 14-5-11.<br />
//  Copyright (c) 2014年 姚新超. All rights reserved.<br />
//</p>
<p>#import "ViewController.h"<br />
#import &lt;CoreLocation/CoreLocation.h&gt;<br />
@interface ViewController ()&lt;CLLocationManagerDelegate&gt;{</p>
<p>}</p>
<p>@property (nonatomic,strong) CLLocationManager* locationManager;</p>
<p>@end</p>
<p>@implementation ViewController<br />
<BR>- (void)viewDidLoad<br />
{<br />
    [super viewDidLoad];<br />
    // Do any additional setup after loading the view, typically from a nib.<BR>   // 定位服务管理对象初始化<BR>　　self.locationManager = [[CLLocationManager alloc] init];<br />
    //delegate<br />
    self.locationManager.delegate = self;<br />
    //The desired location accuracy.<br />
    self.locationManager.desiredAccuracy = kCLLocationAccuracyBest;<br />
    //Specifies the minimum update distance in meters.</p>
<p>self.locationManager.distanceFilter = kCLDistanceFilterNone;</p>
<p>self.locationManager.purpose = @"To provide functionality based on user‘s current location.";</p>
<p>}</p>
<p>- (void)viewWillAppear:(BOOL)animated<BR>{<BR>　　[super viewWillAppear:animatted];<BR>　　// 开始定位<BR>　 [self.locationManager startUpdatingLocation];</PRE><PRE>}<br /><br />- (void)viewWillDisappear:(BOOL)animated<BR>{<BR>　　[super  viewWillDisappear:animated<EM>];</EM></PRE><PRE><EM>　　// 停止定位<BR>　　</EM>[self.locationManager stopUpdatingLocation];</PRE><PRE>}</p>
<p>@end</PRE></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"><br /><PRE>#pragma mark - 委托方法用于实现位置的更新<br />
- (void)locationManager:(CLLocationManager *)manager didUpdateLocations:(NSArray *)locations<br />
{<br />
    // 设备的当前位置<br />
    CLLocation *currLocation = [locations lastObject];</p>
<p>NSString *latitude = [NSString stringWithFormat:@"纬度:%3.5f",currLocation.coordinate.latitude];<br />
    NSString *longitude = [NSString stringWithFormat:@"经度:%3.5f",currLocation.coordinate.longitude];<br />
    NSString *altitude = [NSString stringWithFormat:@"高度值:%3.5f",currLocation.altitude];<br />
}</p>
<p>- (void)locationManager:(CLLocationManager *)manager didFailWithError:(NSError *)error<br />
{<br />
    NSLog(@"error : %@",error.localizedDescription);<br />
}</PRE></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><P>locationManager:&nbsp;didUpdateLocations:iOS<br />
6新增方法，定位成功时调用，用于替代之前的locationManager:didUpdateToLocation:fromLocation:方法。</p>
<p>locationManager:&nbsp;didFailWithError:定位失败。</p>
<p><A href="http://www.bubuko.com/infodetail-175133.html" rel="external nofollow noreferrer">iOS定位服务与地图开发(1)---获取经纬度,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 00:46:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/android/" title="android">android</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>iOS定位服务与地图开发(1)---获取经纬度的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MG8JDo0.html" rel="bookmark">iOS定位服务与地图开发&lpar;4&rpar;---显示地图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS 6之前,苹果使用的是谷歌地图,iOS 6之后,苹果使用了自己的地图(国内好像用的是高德地图),但是API编程接口与iOS 5相比没有太大变化. iOS 应用程序中使用Map Kit API开发地图应用程序,使用MKMapView类作为地图显示视图,其委托协议是MKMapViewDelegate. 1.显示地图: .h文件中代码 #import &lt;MapKit/MapKit.h&gt; @interface YXCViewController &lt;MKMapViewDelegate&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35wVVnM.html" rel="bookmark">iOS定位服务与地图开发&lpar;3&rpar;---地理信息编码查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				即根据一个NSString的文字描述对象获取相关的地理坐标. 采用CLGeocoder类操作,具体方法: 1&gt;geocodeAddressDictionary:completionHandler: 通过指定一个地址信息字典对象参数进行查询 2&gt;geocodeAddressString:completionHandler:通过指定一个地址信息字符串参数进行查询 3&gt;geocodeAddressString:inRegion:completionHandler:通过制定地址信息字符串和查询范			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0konnd0.html" rel="bookmark">iOS定位服务与地图开发&lpar;2&rpar;---地理信息反编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节我们通过定位获取了经度和纬度数值,但是一般人很难看懂这些数字. 地理信息反编码:就是根据这些经纬数字返回地点的相关文字描述信息,这些文字描述信息被封装在CLPlacemark类中,我们称这个类为&quot;地标&quot;类. 地理信息反编码使用CLGeocoder类实现,这个类能够实现在地理坐标与地理文字描述信息之间的转换. CLGeocoder类中进行地理信息反编码的方法是:reverseGeocodeLocation: completionHandler: location:是要定位的地理位置对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bYGyoM.html" rel="bookmark">iOS定位服务编程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在的移动设备很多都提供定位服务,使用iOS系统的iPhone.iPod Touch和iPad都可以提供位置服务,iOS设备能提供3种不同途径进行定位:Wifi, 蜂窝式移动电话基站, GPS卫星 iOS 不像Android系统在定位服务编程时,可以指定采用哪种途径进行定位.iOS的API把底层这些细节屏蔽掉了,开发人员和用户并不知道现在设备是采用 哪种方式进行定位的,iOS系统会根据设备的情况和周围的环境,采用一套最佳的解决方案.这个方案是这样的,如果能够接收GPS信息,那么设备优先采用 GP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nogy6M.html" rel="bookmark">转载&rsqb;IOS LBS功能详解&lbrack;0&rsqb;（获取经纬度）&lbrack;1&rsqb;（获取当前地理位置文本 &rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:IOS LBS功能详解[0](获取经纬度)[1](获取当前地理位置文本作者:佐佐木小次郎 因为最近项目上要用有关LBS的功能.于是我便做一下预研. 一般说来LBS功能一般分为两块:一块是地理定位,就是获取当前精度.纬度和地理位置的功能,这一部分功能主要用到CoreLocation.Frameworks.一部分就是显示地图信息.丰富地图内容等,这一部分主要用到MapKit.Frameworks.以上这几个功能的测试最好都要在真机上进行.模拟器上定位一般会在Apple的加州总部. 首先介绍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPN78D3.html" rel="bookmark">利用百度地图API，获取经纬度坐标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用百度地图API,获取经纬度坐标 代码很简单,但在网上没找到现成的获取地图经纬度的页面. 就是想,给当前页面传递一个经纬度,自动定位到此经纬度.然后可以重新选择,选择完返回经纬度. 效果如下: 源代码下载:http://files.cnblogs.com/zjfree/select_map.rar 利用百度地图API,获取经纬度坐标,布布扣,bubuko.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGXNb0.html" rel="bookmark">iOS开发 定位服务与地图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概览 现在很多社交.电商.团购应用都引入了地图和定位功能,似乎地图功能不再是地图应用和导航应用所特有的.的确,有了地图和定位功能确实让我们的生活更加丰富多彩,极大的改变了我们的生活方式.例如你到了一个陌生的地方想要查找附近的酒店.超市等就可以打开软件搜索周边;类似的,还有很多团购软件可以根据你所在的位置自动为你推荐某些商品.总之,目前地图和定位功能已经大量引入到应用开发中.今天就和大家一起看一下iOS如何进行地图和定位开发. 定位 地图 定位 要实现地图.导航功能,往往需要先熟悉定位功能,在iO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rajLl0.html" rel="bookmark">iOS 开发指南 第16章 定位服务与地图应用之使用苹果地图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 显示地图 MKMapView MKMapViewDelegate 准备:加载MapKit.framework 设置地图样式 代理-实现代理方法 - (void)viewDidLoad { [super viewDidLoad]; 设置样式,枚举类型MKMapType self.mapView.mapType = MKMapTypeStandard; // self.mapView.mapType = MKMapTypeSatellite; 将当前视图控制器赋值给地图视图的delegate属性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXlpXaM.html" rel="bookmark">iOS 开发指南 第16章 定位服务与地图应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 定位服务编码 使用Core Location框架 CLLocationManger:用于定位服务管理类,能够给我们提供位置信息和高度信息,也可以监控设备进入或离开某个区域,还可以获得设备的运行方向等. CLLocation:封装了位置和高度信息. CLLocationMangerDelegate 准备:加载Core Location框架 修改工程配置:Supporting Files-Info.pist添加NSLocationAlwaysUSageDescription和NSLocation			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j35QV13.html" rel="bookmark" class="title">Spring4-JdbcDaoSupport-insertBatch-执行批量添加操作</a>
					<div>
						1.创建项目,项目名称(springdemo12),如图所示 2.在项目中创建目录(src-&gt;源码目录,test-&gt;测试目录,source-&gt;配置文件目录,lib-&gt;jar包目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQVwn3.html" rel="bookmark" class="title">学习思维</a>
					<div>
						1.学习计算机,一定要多动手. 2.遇到问题自己找方法,并解决掉.做好笔记. 3.了解这东西是什么,才去做.这是什么,用在什么地方 ,什么时候用,为什么要用,接下来怎么用. 4.做好笔记,经常优化自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWbVw0.html" rel="bookmark" class="title">Elasticsearch 5&period;4&period;3 聚合分组</a>
					<div>
						第一个分析需求:计算每个tag下的商品数量 GET /ecommerce/product/_search { &quot;aggs&quot;: { &quot;group_by_tags&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YGxnW4.html" rel="bookmark" class="title">&sol;usr&sol;bin&sol;cd 是什么鬼</a>
					<div>
						上文中曾讲到,我在我的 Mac 上发现很多和 Bash 内部命令同名的外部命令,在那 24 个外部命令中,我发现个奇怪的现象:它们中有 15 个居然是 Shell 脚本,更奇怪的是,居然是同一个 Sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49o7AA0.html" rel="bookmark" class="title">HDU 4406 GPA（网络流-最大费用流）</a>
					<div>
						GPA Problem Description GPA(Grade-Point Average) is one way to measure students' academic performanc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAWgG0.html" rel="bookmark" class="title">POJ3461 Oulipo 【KMP】</a>
					<div>
						Oulipo Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 22295   Accepted: 8905 Descripti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RG6LP3.html" rel="bookmark" class="title">ubuntu14&period;04LTS openssh-server 手动安装配置步骤</a>
					<div>
						先用能上网的机器下载:zlib-1.2.5.tar.bz2.openssh-5.6p1.tar.gz.openssl-0.9.8o.tar.tar,接下来,准备安装. 步骤如下: 1.首先解压安装zl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvAgN4.html" rel="bookmark" class="title">Office365与本地Exchange混合部署之邮件流介绍详情</a>
					<div>
						我们前面的文章中有介绍了本地Exchange与Office365实现Exchange服务混合部署.然后在配置了混合部署后遇到了一些邮件投递错误及迁移用户的相关错误,都陆续解决了,同时都做了相应的记录及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvdm13.html" rel="bookmark" class="title">文件&OpenCurlyDoubleQuote;bin&bsol;Debug&bsol;WindowsFormsApplication2&period;exe&rdquo;正由另一进程使用，因此该进程无法访问该文件。</a>
					<div>
						http://zhidao.baidu.com/question/221394579.html?qbl=relate_question_2&amp;word=%BE%AF%B8%E6%094%09%C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aOODq4.html" rel="bookmark" class="title">android开发真机通过局域网连接本地服务器测试的问题？</a>
					<div>
						============问题描述============ 服务器端:iis配置的webservice,关闭了防火请 客户端:android soap连接,手机设置了静态ip, 通过虚拟机测试完全正常, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qaEez3.html" rel="bookmark" class="title">算法精解（三）&mdash;&mdash;归并排序</a>
					<div>
						归并排序 O(NlogN),所以归并排序最坏情况能够达到快速排序的平均水准 需要额外的存储空间O(n) 1.对数据不断的分割,直到剩下一个一个的 2.合并数据,在合并的时候,其实是两个有序的数组,因此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NG9NJM.html" rel="bookmark" class="title">win7下 安装 Flask</a>
					<div>
						参考: http://my.oschina.net/935572630/blog/375758 一 环境版本: os: win7 x64 python: 2.7.10 x64 二 安装步骤: 由于fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BxlJM.html" rel="bookmark" class="title">字节输入输出流演示</a>
					<div>
						输出流: OutputStream() import java.io.File; import java.io.OutputStream; import java.io.FileOutputStrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYwrB3.html" rel="bookmark" class="title">创业笔记1</a>
					<div>
						创业笔记1: 好奇心.敏锐是成功的必要条件 商业计划书: 1.市场描述适可而止,除非一些比较生僻的领域,否则一般选择最具有公信力的数据即可 2.竞品分析学会尊重,竞品分析不只是对手的缺点,还要尊重对手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZKLw3.html" rel="bookmark" class="title">内部和外部排序排序</a>
					<div>
						内排序:指在排序期间数据对象所有存放在内存的排序. 外排序:指在排序期间所有对象太多,不能同一时候存放在内存中,必须依据排序过程的要求,不断在内,外存间移动的排序. 依据排序元素所在位置的不同,排序分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0do92wM.html" rel="bookmark" class="title">Python：CPU和人的21点对决</a>
					<div>
						# coding:utf-8 # __author__: 神仙也考试 # __author time__: 2017/8/8 import random print &quot;&quot;&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjqej0.html" rel="bookmark" class="title">linux常用命令&lpar;19&rpar;find xargs</a>
					<div>
						在使用 find命令的-exec选项处理匹配到的文件时, find命令将所有匹配到的文件一起传递给exec执行.但有些系统对能够传递给exec的命令长度有限制,这样在find命令运行几分钟之后,就会出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLEEx4.html" rel="bookmark" class="title">git图解：代码区域总结</a>
					<div>
						本文背景,在实际项目中使用git已有一年多,发现不少同事虽然会使用常用git指令,但并不理解每个指令对应的作用原理.今天静下心总结下git 的基本理解:代码的存在区域:本文以实际项目出发,理清使用gi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35r1jR4.html" rel="bookmark" class="title">Read N Characters Given Read4 II - Call multiple times</a>
					<div>
						The API: int read4(char *buf) reads 4 characters at a time from a file. The return value is the actu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvpmE3.html" rel="bookmark" class="title">【BZOJ 1058】 &lbrack;ZJOI2007&rsqb;报表统计</a>
					<div>
						1058: [ZJOI2007]报表统计 Time Limit: 15 Sec  Memory Limit: 162 MB Submit: 2013  Solved: 708 [Submit][Sta ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
